Closed Bug 601381 Opened 9 years ago Closed 9 years ago

Intermittent leak in mochitest-browser-chrome including domwindows opened by browser_inspector_iframeTest.js, browser_inspector_scrolling.js, browser_inspector_treePanel_output.js and browser_inspector_treeSelection.js

Categories

(DevTools :: General, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: ehsan, Assigned: rcampbell)

References

Details

(Keywords: intermittent-failure, memory-leak)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285997631.1285999640.7778.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/01 22:33:51

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286036733.1286038786.11467.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/02 09:25:33


nsTraceRefcntImpl::DumpStatistics: 1171 entries
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2778763 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1508 instances of AtomImpl with size 40 bytes each (60320 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of BodyRule with size 32 bytes each (160 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of CSSImportRuleImpl with size 80 bytes each (640 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 143 instances of CSSImportantRule with size 32 bytes each (4576 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 43 instances of CSSNameSpaceRuleImpl with size 72 bytes each (3096 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1902 instances of CSSStyleRuleImpl with size 80 bytes each (152160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of CloseCookieDBListener with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of Connection with size 184 bytes each (920 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of DBListenerErrorHandler with size 24 bytes each (72 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of DOMCSSDeclarationImpl with size 24 bytes each (144 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of DOMCSSStyleRuleImpl with size 48 bytes each (288 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of GenericFactory with size 32 bytes each (64 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of History with size 184 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of HoldJSObjects with size 8 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of HttpBaseChannel with size 392 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of ImageObserver with size 16 bytes each (64 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of InMemoryDataSource with size 264 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of LiteralImpl with size 24 bytes each (48 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 28 instances of Loader with size 312 bytes each (8736 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of LocalStoreImpl with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of MatchAutoCompleteFunction with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of NameSpaceManagerImpl with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of PrincipalHolder with size 32 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of QuotaCallback with size 24 bytes each (48 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of QuotaCallbackData with size 16 bytes each (32 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of RDFContainerUtilsImpl with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of RDFServiceImpl with size 400 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 116 instances of RasterImage with size 232 bytes each (26912 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 24 instances of RuleHash with size 280 bytes each (6720 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of Service with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of SharedScriptableHelperForJSIID with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 76 instances of Statement with size 112 bytes each (8512 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of StatementParams with size 48 bytes each (144 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of StringAdopt with size 1 bytes each (2 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of URIAndPrincipalHashKey with size 24 bytes each (96 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of UploadLastDir with size 96 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 24 instances of XPCContext with size 64 bytes each (1536 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 84 instances of XPCNativeInterface with size 40 bytes each (3360 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 84 instances of XPCNativeMember with size 16 bytes each (1344 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 351 instances of XPCNativeScriptableInfo with size 16 bytes each (5616 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 21 instances of XPCNativeScriptableShared with size 320 bytes each (6720 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 49 instances of XPCNativeSet with size 16 bytes each (784 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 431 instances of XPCWrappedNative with size 112 bytes each (48272 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 82 instances of XPCWrappedNativeProto with size 64 bytes each (5248 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 26 instances of XPCWrappedNativeScope with size 128 bytes each (3328 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 254 instances of gfxASurface with size 32 bytes each (8128 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 33 instances of gfxFont with size 152 bytes each (5016 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of gfxFontEntry with size 152 bytes each (608 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of gfxGlyphExtents with size 64 bytes each (128 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 23 instances of gfxTextRun with size 144 bytes each (3312 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of gfxTextRunFactory with size 24 bytes each (336 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 88 instances of imgCacheEntry with size 48 bytes each (4224 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of imgLoader with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 116 instances of imgRequest with size 288 bytes each (33408 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 129 instances of imgRequestProxy with size 112 bytes each (14448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of inDOMUtils with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of mozJSSubScriptLoader with size 32 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1902 instances of mozilla::css::Declaration with size 48 bytes each (91296 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsAnnotationService with size 160 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2353 instances of nsAtomList with size 16 bytes each (37648 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1213 instances of nsAttrSelector with size 48 bytes each (58224 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsBaseChannel with size 264 bytes each (1056 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 35 instances of nsBaseContentList with size 32 bytes each (1120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsBaseURLParser with size 24 bytes each (72 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsBasicDecoderSupport with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsBidiKeyboard with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsBindingManager with size 392 bytes each (10584 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsBoxLayout with size 24 bytes each (48 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSAural with size 272 bytes each (1088 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSBreaks with size 64 bytes each (256 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSColor with size 160 bytes each (640 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSColumn with size 96 bytes each (384 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSContent with size 80 bytes each (320 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 8 instances of nsCSSCornerSizes with size 64 bytes each (512 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSDisplay with size 352 bytes each (1408 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSFont with size 208 bytes each (832 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsCSSGroupRule with size 56 bytes each (280 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSList with size 64 bytes each (256 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSMargin with size 1104 bytes each (4416 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsCSSMediaRule with size 72 bytes each (360 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSPage with size 32 bytes each (128 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSPosition with size 192 bytes each (768 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 178 instances of nsCSSRect with size 64 bytes each (11392 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 150 instances of nsCSSRect_heap with size 80 bytes each (12000 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 24 instances of nsCSSRuleProcessor with size 56 bytes each (1344 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSSVG with size 480 bytes each (1920 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsCSSScanner with size 1048 bytes each (2096 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4905 instances of nsCSSSelector with size 72 bytes each (353160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3076 instances of nsCSSSelectorList with size 24 bytes each (73824 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 53 instances of nsCSSStyleSheet with size 136 bytes each (7208 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 38 instances of nsCSSStyleSheetInner with size 144 bytes each (5472 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSTable with size 112 bytes each (448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSText with size 208 bytes each (832 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSUserInterface with size 128 bytes each (512 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 380 instances of nsCSSValue::Array with size 32 bytes each (12160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 127 instances of nsCSSValue::Image with size 72 bytes each (9144 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 354 instances of nsCSSValue::URL with size 48 bytes each (16992 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 69 instances of nsCSSValueGradient with size 112 bytes each (7728 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 184 instances of nsCSSValueGradientStop with size 32 bytes each (5888 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1150 instances of nsCSSValueList with size 24 bytes each (27600 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 829 instances of nsCSSValueList_heap with size 40 bytes each (33160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 69 instances of nsCSSValuePair with size 32 bytes each (2208 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 184 instances of nsCSSValuePairList with size 40 bytes each (7360 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 180 instances of nsCSSValuePairList_heap with size 56 bytes each (10080 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsCSSXUL with size 112 bytes each (448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 951 instances of nsCStringKey with size 32 bytes each (30432 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsCategoryObserver with size 96 bytes each (480 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsCharsetConverterManager with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 455 instances of nsChildContentList with size 40 bytes each (18200 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsCollationMacUC with size 72 bytes each (216 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 133 instances of nsCommentNode with size 120 bytes each (15960 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 69 instances of nsConsoleMessage with size 40 bytes each (2760 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsConsoleService with size 136 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 35 instances of nsContentList with size 120 bytes each (4200 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsContentPolicy with size 64 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsCookiePermission with size 64 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsCookieService with size 528 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDNSService with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 30 instances of nsDOMAttribute with size 144 bytes each (4320 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 34 instances of nsDOMAttributeMap with size 80 bytes each (2720 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 42 instances of nsDOMCSSAttributeDeclaration with size 56 bytes each (2352 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 12 instances of nsDOMClassInfo with size 40 bytes each (480 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 8 instances of nsDOMDocumentType with size 192 bytes each (1536 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDOMEventGroup with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDOMStorageManager with size 88 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsDOMStyleSheetList with size 48 bytes each (240 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of nsDOMTokenList with size 40 bytes each (240 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDSURIContentListener with size 72 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDateTimeFormatMac with size 64 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDefaultURIFixup with size 48 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsDeque with size 96 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDocLoader with size 248 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDocShell with size 808 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 7 instances of nsDocShell::InterfaceRequestorProxy with size 32 bytes each (224 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsDocument with size 1256 bytes each (33912 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsDocumentEncoder with size 512 bytes each (1024 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDownloadManager with size 120 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsEffectiveTLDService with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsEntropyCollector with size 1072 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsErrorService with size 232 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 424 instances of nsEventListenerManager with size 168 bytes each (71232 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsEventListenerThisTranslator with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsExceptionManager with size 48 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsExtensibleStringBundle with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsExternalHelperAppService with size 96 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsFocusManager with size 104 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsFrameList with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsFrameLoader with size 112 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsFrameMessageManager with size 112 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 217 instances of nsGenericDOMDataNode with size 112 bytes each (24304 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1407 instances of nsGenericElement with size 104 bytes each (146328 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsGlobalChromeWindow with size 712 bytes each (2136 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 13 instances of nsGlobalWindow with size 688 bytes each (8944 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 7 instances of nsGlobalWindowObserver with size 32 bytes each (224 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsHTMLBodyElement with size 120 bytes each (600 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsHTMLCSSStyleSheet with size 48 bytes each (1296 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsDeferrals with size 8264 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsListener with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLDivElement with size 112 bytes each (448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsHTMLDocument with size 1432 bytes each (7160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLHeadingElement with size 112 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLIFrameElement with size 152 bytes each (608 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLInputElement with size 320 bytes each (1280 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLMetaElement with size 112 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLParagraphElement with size 112 bytes each (448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLScriptElement with size 168 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 10 instances of nsHTMLSharedElement with size 168 bytes each (1680 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsHTMLSpanElement with size 112 bytes each (224 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLStyleElement with size 152 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsHTMLStyleSheet with size 136 bytes each (3672 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsHTMLStyleSheet::GenericTableRule with size 24 bytes each (648 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLTextAreaElement with size 240 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLTitleElement with size 120 bytes each (480 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1431 instances of nsHashKey with size 16 bytes each (22896 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsHashPropertyBag with size 80 bytes each (2160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 304 instances of nsHashtable with size 72 bytes each (21888 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 581 instances of nsHtml5AttributeName with size 32 bytes each (18592 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 390 instances of nsHtml5ElementName with size 40 bytes each (15600 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHtml5HtmlAttributes with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHttpChannel with size 696 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHttpConnectionInfo with size 64 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHttpHandler with size 488 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsIDNService with size 112 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsIOService with size 224 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsImageFrame::IconLoad with size 72 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsIsOfflineSQLFunction with size 24 bytes each (48 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsJAR with size 216 bytes each (648 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 22 instances of nsJARChannel with size 328 bytes each (7216 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 21 instances of nsJARInputStream with size 216 bytes each (4536 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 21 instances of nsJARInputThunk with size 88 bytes each (1848 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsJARProtocolHandler with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 22 instances of nsJARURI with size 80 bytes each (1760 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsJISx4051LineBreaker with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 88 instances of nsJSCID with size 88 bytes each (7744 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 23 instances of nsJSContext with size 104 bytes each (2392 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 381 instances of nsJSEventListener with size 64 bytes each (24384 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 10 instances of nsJSID with size 56 bytes each (560 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 188 instances of nsJSIID with size 48 bytes each (9024 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsLanguageAtomService with size 96 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStatics with size 1 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStylesheetCache with size 72 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 8 instances of nsLoadGroup with size 16 bytes each (128 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 40 instances of nsLocalFile with size 192 bytes each (7680 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsLocation with size 32 bytes each (160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsMediaList with size 48 bytes each (672 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNativeThemeCocoa with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNavBookmarks with size 432 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNavHistory with size 776 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNetworkLinkService with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 570 instances of nsNodeInfo with size 72 bytes each (41040 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 34 instances of nsNodeInfoManager with size 80 bytes each (2720 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 146 instances of nsNodeWeakReference with size 32 bytes each (4672 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 36 instances of nsNullPrincipal with size 72 bytes each (2592 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 36 instances of nsNullPrincipalURI with size 56 bytes each (2016 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsObserverService with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsOnloadBlocker with size 24 bytes each (648 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsParserService with size 128 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsPermissionManager with size 160 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsPersistentProperties with size 144 bytes each (3888 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsPrefBranch with size 128 bytes each (384 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 44 instances of nsPrefOldCallback with size 64 bytes each (2816 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsPrefService with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 253 instances of nsPrincipal with size 144 bytes each (36432 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsPrivateBrowsingObserver with size 48 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 116 instances of nsProperties with size 16 bytes each (1856 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsProxyInfo with size 72 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1273 instances of nsPseudoClassList with size 32 bytes each (40736 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 16 instances of nsRDFResource with size 48 bytes each (768 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsRadioVisitor with size 24 bytes each (48 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsRangeUtils with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsRect with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsRepeatService with size 48 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 10 instances of nsResourceSet with size 16 bytes each (160 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsReverseStringSQLFunction with size 24 bytes each (48 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSameOriginChecker with size 32 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSampleWordBreaker with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 181 instances of nsScriptError with size 104 bytes each (18824 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsScriptLoader with size 96 bytes each (2592 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 26 instances of nsScriptLoaderObserverProxy with size 32 bytes each (832 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsScriptNameSpaceManager with size 64 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsScriptSecurityManager with size 152 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 8 instances of nsSimpleNestedURI with size 104 bytes each (832 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 31 instances of nsSimpleURI with size 88 bytes each (2728 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSocketTransportService with size 3360 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 843 instances of nsStandardURL with size 248 bytes each (209064 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsStaticCaseInsensitiveNameTable with size 72 bytes each (288 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsStreamConverterService with size 32 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsStrictTransportSecurityService with size 32 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 8434 instances of nsStringBuffer with size 8 bytes each (67472 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsStringBundle with size 72 bytes each (1944 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsStringBundleService with size 208 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSupportsArray with size 104 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 116 instances of nsSupportsCStringImpl with size 40 bytes each (4640 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSystemPrincipal with size 72 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 6502 instances of nsTArray_base with size 8 bytes each (52016 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 10 instances of nsTextEditorState with size 112 bytes each (1120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 217 instances of nsTextFragment with size 16 bytes each (3472 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 67 instances of nsTextNode with size 120 bytes each (8040 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsThread with size 144 bytes each (432 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsTimerImpl with size 104 bytes each (208 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 25 instances of nsURIHashKey with size 16 bytes each (400 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsUnicodeNormalizer with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 12 instances of nsVariant with size 72 bytes each (864 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 611 instances of nsVoidArray with size 8 bytes each (4888 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 191 instances of nsWeakReference with size 32 bytes each (6112 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsWebNavigationInfo with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsWindowDataSource with size 136 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsWindowMediator with size 104 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 17 instances of nsXBLDocGlobalObject with size 56 bytes each (952 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 21 instances of nsXBLDocumentInfo with size 80 bytes each (1680 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 106 instances of nsXBLEventHandler with size 32 bytes each (3392 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 57 instances of nsXBLInsertionPointEntry with size 40 bytes each (2280 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 17 instances of nsXBLKeyEventHandler with size 48 bytes each (816 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 12 instances of nsXBLParameter with size 16 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 59 instances of nsXBLProtoImpl with size 56 bytes each (3304 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 203 instances of nsXBLProtoImplField with size 40 bytes each (8120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 401 instances of nsXBLProtoImplMethod with size 40 bytes each (16040 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 241 instances of nsXBLProtoImplProperty with size 48 bytes each (11568 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 94 instances of nsXBLPrototypeBinding with size 120 bytes each (11280 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsXBLPrototypeResources with size 24 bytes each (648 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsXBLResource with size 32 bytes each (96 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 27 instances of nsXBLResourceLoader with size 72 bytes each (1944 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXBLService with size 112 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 25 instances of nsXBLTextWithLineNumber with size 16 bytes each (400 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 17 instances of nsXBLUncompiledMethod with size 32 bytes each (544 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsXBLWindowKeyHandler with size 56 bytes each (112 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsXMLContentSerializer with size 136 bytes each (272 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 22 instances of nsXMLDocument with size 1256 bytes each (27632 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 184 instances of nsXMLElement with size 112 bytes each (20608 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 9 instances of nsXMLProcessingInstruction with size 136 bytes each (1224 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of nsXMLStylesheetPI with size 176 bytes each (1056 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 33 instances of nsXPCComponents with size 120 bytes each (3960 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 19 instances of nsXPCComponents_Classes with size 40 bytes each (760 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsXPCComponents_Constructor with size 40 bytes each (120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsXPCComponents_Exception with size 40 bytes each (80 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 13 instances of nsXPCComponents_ID with size 40 bytes each (520 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 19 instances of nsXPCComponents_Interfaces with size 56 bytes each (1064 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 11 instances of nsXPCComponents_Results with size 40 bytes each (440 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 17 instances of nsXPCComponents_Utils with size 48 bytes each (816 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_utils_Sandbox with size 32 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 45 instances of nsXPCWrappedJS with size 120 bytes each (5400 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsXPCWrappedJSClass with size 72 bytes each (216 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPConnect with size 176 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of nsXPathEvaluator with size 16 bytes each (96 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXTFService with size 72 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULCommandDispatcher with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULDocument with size 1624 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1181 instances of nsXULElement with size 128 bytes each (151168 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 9 instances of nsXULPDGlobalObject with size 192 bytes each (1728 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 25 instances of nsXULPopupListener with size 56 bytes each (1400 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULPopupManager with size 136 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 3394 instances of nsXULPrototypeAttribute with size 24 bytes each (81456 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULPrototypeCache with size 272 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 7 instances of nsXULPrototypeDocument with size 96 bytes each (672 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1108 instances of nsXULPrototypeElement with size 56 bytes each (62048 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 9 instances of nsXULPrototypePI with size 48 bytes each (432 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 19 instances of nsXULPrototypeScript with size 64 bytes each (1216 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 10 instances of nsXULTemplateBuilder with size 264 bytes each (2640 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 10 instances of nsXULTemplateQueryProcessorRDF with size 288 bytes each (2880 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULTooltipListener with size 104 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsZipArchive with size 2128 bytes each (4256 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsZipHandle with size 48 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsZipReaderCache with size 136 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 18 instances of txAExprResult with size 24 bytes each (432 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of txResultRecycler with size 56 bytes each (336 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 12 instances of xpcJSWeakReference with size 32 bytes each (384 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xpcPerThreadData with size 88 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 248 instances of xptiInterfaceInfo with size 40 bytes each (9920 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xptiInterfaceInfoManager with size 168 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xptiWorkingSet with size 104 bytes
I'm not quite sure, but I think

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286046925.1286049967.24799.gz&fulltext=1#err12
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/02 12:15:25
s: win32-slave15

is the Windows version of this same leak.
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286121138.1286123219.2899.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/03 08:52:18
s: talos-r3-snow-008
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286144189.1286146293.20425.gz&fulltext=1#err2
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2010/10/03 15:16:29
s: talos-r3-leopard-051
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286160439.1286162481.9991.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/03 19:47:19
s: talos-r3-snow-038
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1286165125.1286167180.26257.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 tryserver debug test mochitest-other on 2010/10/03 21:05:25
s: talos-r3-snow-023
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286215311.1286218418.14780.gz&fulltext=1#err5
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/04 11:01:51
OS: Mac OS X → All
Hardware: x86 → All
Summary: Intermittent leak in mochitest-browser-chrome on Mac OS X 10.6 with chrome://browser/content/safebrowsing/report-phishing-overlay.xul in the leaked URLs (~2.7MB) → Intermittent leak in mochitest-browser-chrome with chrome://browser/content/safebrowsing/report-phishing-overlay.xul in the leaked URLs (~2.7MB)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286220596.1286223724.5699.gz&fulltext=1#err9
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/04 12:29:56
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286236902.1286239300.12372.gz&fulltext=1#err3
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2010/10/04 17:01:42
s: talos-r3-leopard-023
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286250546.1286254170.16888.gz&fulltext=1#err5
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/04 20:49:06
s: win32-slave01
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286253716.1286257301.5222.gz&fulltext=1#err14
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/04 21:41:56
s: win32-slave29
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286301261.1286303379.21173.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/05 10:54:21
s: talos-r3-snow-054
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286307864.1286309985.18538.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/05 12:44:24
s: talos-r3-snow-042
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286308495.1286311629.25197.gz&fulltext=1#err5
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/05 12:54:55
s: win32-slave34
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286330384.1286332416.15907.gz&fulltext=1#err0
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/05 18:59:44
s: talos-r3-snow-013
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286328228.1286330289.6937.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/05 18:23:48
s: talos-r3-snow-013
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286332860.1286335025.26687.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/05 19:41:00
s: talos-r3-snow-038
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286341552.1286343658.26550.gz&fulltext=1#err0
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2010/10/05 22:05:52
s: talos-r3-leopard-051
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286341760.1286343923.27642.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/05 22:09:20
s: talos-r3-snow-044
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286342516.1286346340.3465.gz&fulltext=1#err12
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/05 22:21:56
s: win32-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286385995.1286389070.11846.gz&fulltext=1#err11
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 10:26:35
s: win32-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286387383.1286389414.13387.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/06 10:49:43
s: talos-r3-snow-003
This looks to be perma-orange on Windows Debug Mochitest-oth
Two more instances of this on Windows:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286385710.1286388862.10964.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 10:21:50
s: win32-slave35

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286387173.1286390397.17633.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 10:46:13
s: win32-slave37

Here's what the leak looks like on Windows, BTW:
{
nsTraceRefcntImpl::DumpStatistics: 1196 entries
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1685959 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1616 instances of AtomImpl with size 20 bytes each (32320 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of BodyRule with size 16 bytes each (80 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of CSSImportRuleImpl with size 44 bytes each (264 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 112 instances of CSSImportantRule with size 16 bytes each (1792 bytes total)
}
Only perma-since-Tue Oct 5 12:02:14 2010 PDT.

Three possibilities: that was just bad luck, hitting five more-or-less in row (which could have been seven if not for crashes that killed the run first), or, something changed to make it permanent, or, (my personal bet) we're wrong that chrome://browser/content/safebrowsing/report-phishing-overlay.xul has any significance, so we're just lumping any mochitest-browser-chrome leak-the-world in here, and either we hit five instances of multiple leaks in a row, or, we landed a permanent Windows browser-chrome leak recently.
(In reply to comment #26)
> hitting five more-or-less in row
> (which could have been seven if not for crashes that killed the run first), 

FWIW, I filed bug 602293 to re-trigger those two runs that had crashes.
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286393686.1286395728.10777.gz&fulltext=1#err0
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/06 12:34:46
s: talos-r3-snow-038
(In reply to comment #27)
> FWIW, I filed bug 602293 to re-trigger those two runs that had crashes.

Ok -- one of those two re-triggers completed successfully, and it wasn't affected by this:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286392257.1286396003.12034.gz
(^ not affected by this bug)

So, this isn't quite perma-orange.  But it seems pretty close. :)  So it sounds like philor's bet in comment 26 holds up:
> or, (my personal bet) we're wrong that
> chrome://browser/content/safebrowsing/report-phishing-overlay.xul has any
> significance, so we're just lumping any mochitest-browser-chrome leak-the-world
> in here, and either we hit five instances of multiple leaks in a row
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286392499.1286395683.10580.gz&fulltext=1#err18
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/06 12:14:59
s: win32-slave35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286401576.1286404088.17784.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 14:46:16
s: win32-slave49

This one was a less severe leak than Comment 25, but it looks similar in the types of objects leaked (and it has report-phishing-overlay.xul in the leaked URL list, for whatever little that's worth):
{
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 438435 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 149 instances of AtomImpl with size 20 bytes each (2980 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CSSImportRuleImpl with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 45 instances of CSSImportantRule with size 16 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 11 instances of CSSNameSpaceRuleImpl with size 40 bytes each (440 bytes total)
}
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286401909.1286404092.17794.gz&fulltext=1#err0
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2010/10/06 14:51:49
s: talos-r3-leopard-051
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286404196.1286407305.793.gz&fulltext=1#err5
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/06 15:29:56
s: win32-slave35
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286405213.1286407223.454.gz&fulltext=1#err0
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/06 15:46:53
s: talos-r3-snow-047
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286405158.1286408213.5669.gz&fulltext=1
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/06 15:45:58
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286411345.1286413536.32426.gz&fulltext=1#err2
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/06 17:29:05
s: mw32-ix-slave12

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1688543 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286411336.1286414532.5334.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 17:28:56
s: win32-slave30

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1682299 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286416196.1286418338.22003.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/06 18:49:56
s: talos-r3-snow-050

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2772483 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286420864.1286423088.11557.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/06 20:07:44
s: talos-r3-snow-027

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2773075 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286420576.1286423739.14233.gz&fulltext=1#err9
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 20:02:56
s: win32-slave39

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1682047 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286423216.1286426349.26344.gz&fulltext=1#err7
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 20:46:56
s: win32-slave28

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1682083 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286424408.1286426484.27062.gz&fulltext=1#err2
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/06 21:06:48
s: talos-r3-snow-025

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2772931 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286426276.1286429332.7755.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 21:37:56
s: win32-slave16

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1682959 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286428084.1286432035.18665.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/06 22:08:04
s: win32-slave20

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1680423 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286439160.1286441229.25658.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/07 01:12:40

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2771915 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286463991.1286466050.27948.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/07 08:06:31
s: talos-r3-snow-019

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2774027 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286473318.1286475457.6050.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/07 10:41:58
s: talos-r3-snow-020

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2771787 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286472056.1286475265.5014.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/07 10:20:56
s: win32-slave30

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1677159 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286476641.1286478745.22452.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/07 11:37:21
s: talos-r3-snow-021

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2773003 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286476320.1286479552.26301.gz&fulltext=1
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/07 11:32:00
s: win32-slave35

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1681767 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286481953.1286484048.15659.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/07 13:05:53
s: talos-r3-snow-018

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2764139 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286482058.1286486034.25095.gz&fulltext=1
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/07 13:07:38
s: win32-slave12

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1677475 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286490712.1286492906.28329.gz&fulltext=1
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2010/10/07 15:31:52
s: talos-r3-leopard-017

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1572803 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286494135.1286497181.17699.gz&fulltext=1
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/07 16:28:55
s: win32-slave28

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1683015 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286499759.1286502027.10404.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/07 18:02:39
s: talos-r3-snow-036

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2772667 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286558261.1286562162.29661.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/08 10:17:41
s: win32-slave14

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1681047 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286575214.1286577363.7606.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/08 15:00:14
s: talos-r3-snow-030

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2766115 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286584976.1286588128.19947.gz&fulltext=1#err7
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/08 17:42:56
s: win32-slave32

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1683807 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286584785.1286588604.21761.gz&fulltext=1#err16
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/08 17:39:45
s: win32-slave24

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1681955 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286588746.1286590840.31508.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/08 18:45:46
s: talos-r3-snow-039

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2772707 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286594696.1286597841.28191.gz&fulltext=1#err5
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/10/08 20:24:56
s: win32-slave39

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1681511 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286599494.1286601581.10261.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/08 21:44:54
s: talos-r3-snow-033

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2764571 bytes during test execution
Given a tinderboxpushlog with an unbroken /leak-analysis/ that knows what we now put in the log when a test starts up, like http://dev.philringnalda.com/tbpl/leak-analysis/?id=1286599494.1286601581.10261.gz&tree=TraceMonkey, this leak says

(unknown) leaked 3 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_iframeTest.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_scrolling.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treePanel_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treeSelection.js leaked 2 DOMWINDOW(s)

(where the "(unknown)" was the best I've come up with so far for "opened during startup before the first test runs, so something later must have entrained some part of the browser UI").
Component: General → Developer Tools
Product: Core → Firefox
QA Contact: general → developer.tools
Summary: Intermittent leak in mochitest-browser-chrome with chrome://browser/content/safebrowsing/report-phishing-overlay.xul in the leaked URLs (~2.7MB) → Intermittent leak in mochitest-browser-chrome including domwindows opened by browser_inspector_iframeTest.js, browser_inspector_scrolling.js, browser_inspector_treePanel_output.js and browser_inspector_treeSelection.js
Though interestingly, http://dev.philringnalda.com/tbpl/leak-analysis/?id=1286758026.1286760255.25314.gz&tree=TraceMonkey (from the brain-transplants landing) lists those plus

chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_save_resend_postdata.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_navigateaway.js leaked 1 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js leaked 2 DOMWINDOW(s)

which I'm sure either means something, or doesn't.

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286758026.1286760255.25314.gz
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/10 17:47:06
s: mw32-ix-slave08
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1686607 bytes during test execution
Assignee: nobody → rcampbell
Blocks: devtools4b8
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286843509.1286845528.13391.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/11 17:31:49
s: talos-r3-snow-016

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2779083 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286923960.1286926025.9394.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/12 15:52:40
s: talos-r3-snow-047

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2778891 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286924120.1286926278.10667.gz
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/12 15:55:20
s: w32-ix-slave35

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1686931 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286926514.1286928565.20580.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/12 16:35:14
s: talos-r3-snow-028

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2787739 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286932123.1286934155.13055.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/12 18:08:43
s: talos-r3-snow-013

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2787395 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286936156.1286939312.4659.gz
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/10/12 19:15:56
s: win32-slave16

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1689551 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286937096.1286939222.4399.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/12 19:31:36
s: talos-r3-snow-044

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2789219 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286995921.1286998044.27070.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/13 11:52:01
s: talos-r3-snow-020

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2785907 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1287015386.1287017454.21954.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/13 17:16:26
s: talos-r3-snow-018

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2785851 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1287020463.1287022485.17096.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/13 18:41:03
s: talos-r3-snow-020

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2789867 bytes during test execution
are we still seeing a random orange for this?
Nope, somebody accidentally fixed it.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.